Subject: Re: FVWM: xterm from menu under Solaris

From: Peter Billam <[email-masked]>
Date: Wed, 2 Apr 1997 14:28:25 +1000 (EST)

On Thu, 20 Mar 1997, Peter Billam wrote:
> 
> Xterm will run fine from the command line, but not from the Utilities
> menu (button 1).  It gets a "Error 14, errno 22: Invalid argument"
> error as a result of trying to open /dev/tty and receiving an EINVAL.
> I'm using /usr/openwin/bin/xterm, fvwm-1.24r, CDE and Solaris 2.5.1,
> 
Sorry to bother you folks again; I'm still wrestling with xterm ...
Some clues which might strike a chord in someone are:

The xterm launched from Xsession by the lines
  /usr/bin/X11/fvwm &
  exec /usr/openwin/bin/xterm -T Xsession -n Xsession -geometry 80x24+10+10 -ls

works fine (though I don't see how /dev/tty would be available to Xsession)
but the xterms attempted from system.fvwmrc in Function "InitFunction"
by the lines
   Exec  "I"   xterm -n fvwmrc-1 -T fvwmrc-1 -geometry 80x24+0+0 &
   Wait  "I"   xterm
   Desk  "I"   0 2
   Exec  "I"   xterm -n fvwmrc-2 -T fvwmrc-2 -geometry +0-0 &
   Wait  "I"   xterm
   Desk  "I"   0 0

( I tried with "exec xterm" and just "xterm" - same thing )
don't work any better than those from Popup "Utilities" by
   Exec    "Xterm"      exec /usr/openwin/bin/xterm &

However all other X apps work ;-( including Sun's cmdtool ), and xterm
works from all other Window managers, as well as from the command line
e.g. from the Xsession xterm above.  Has anybody any ideas what's
not available from system.fvwmrc that xterm needs ?  Or is there
some obscure xterm option or resource which I should be using ?

Thanks in advance,  Peter Billam

System Administrator; Tel: (03) 62 325442, Fax: (03) 62 325000; CSIRO
Division of Marine Research, GPO Box 1538, Hobart TAS 7001, Australia

--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].

---

From: Dan Espen <[email-masked]>
Date: Wed, 02 Apr 1997 09:52:36 -0500

>    Exec  "I"   xterm -n fvwmrc-2 -T fvwmrc-2 -geometry +0-0 &

This worked for me:

AddToFunc InitFunction "I" Module FvwmBanner
+  "I" Exec xterm -n fvwmrc-1 -T fvwmrc-1 -geometry 80x24+0+0
+  "I" Wait fvwmrc-1
+  "I" Desk 0 2
+  "I" Exec xterm -n fvwmrc-2 -T fvwmrc-2 -geometry 80x24+0+0
+  "I" Wait fvwmrc-2
+  "I" Desk 0 0

--
Dan Espen                                    Phone: (908) 699-5570
[email-masked]
444 Hoes Lane  Room RRC 1C-214
Piscataway, NJ 08854
--
Visit the official FVWM web page at <URL:http://www.hpc.uh.edu/fvwm/>.
To unsubscribe from the list, send "unsubscribe fvwm" in the body of a
message to [email-masked].
To report problems, send mail to [email-masked].